package org.cs.mgr.setting.ctl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.cs.core.ctl.BaseCtl;
import org.cs.util.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.cs.mgr.setting.service.ISysVersionService;
import org.cs.util.Pager;
import org.cs.mgr.setting.model.SysVersion;
import org.cs.util.StringUtil;
import com.alibaba.fastjson.JSONObject;


/**
 * 
 * @ClassName: SysVersion 
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:29:14
 */
@Controller
@RequestMapping("/sysVersionCtl")
public class SysVersionCtl extends BaseCtl {

	private final Logger logger = LoggerFactory.getLogger(this.getClass());
	
	@Autowired
	private ISysVersionService sysVersionService;
	
	@RequestMapping("list")
	public String list(ModelMap mm, @RequestParam(required=false)String menuCode){
		mm.put(MENU_CODE, menuCode);
		this.set(MENU_CODE, menuCode);
		return "bis/sysVersion/list";	
	}
	
	@RequestMapping(value="list2", method = RequestMethod.GET, produces="application/json;charset=UTF-8")
	@ResponseBody
	public String list2(int page, int pageSize){
		Pager pager = this.sysVersionService.getSysVersions(new Pager(page, pageSize));
		JSONObject json = new JSONObject();
		json.put("rows", pager.getResults());
		json.put("total", pager.getTotal());
		return JSONObject.toJSONString(json, features);
	
	}
	
	@RequestMapping("transfer")
	public String transfer(Integer id, String action, ModelMap mm){
		SysVersion sysVersion = null;
		if(id != null){
			sysVersion = this.sysVersionService.findById(id);
			mm.put("sysVersion", sysVersion);
		}
		return "bis/sysVersion/" + action;
	}
	
	@RequestMapping(value="add", method = RequestMethod.POST)
	@ResponseBody
	public String add(SysVersion sysVersion){
		if(sysVersion != null ){
			this.sysVersionService.addSysVersion(sysVersion);
		}
		return AJAX_SUCCESS;
	}

    @RequestMapping(value="edit", method = RequestMethod.POST)
    @ResponseBody
    public String edit(SysVersion sysVersion){
        if(sysVersion != null ){
            this.sysVersionService.updateSysVersion(sysVersion);
        }
        return AJAX_SUCCESS;
    }

	
	
	
	@RequestMapping("del")
	@ResponseBody
	public String del(Integer id){
		if(id != null){
			this.sysVersionService.delSysVersion(id);
		}
		
		return AJAX_SUCCESS;
	}
	
	
	
		
}

